Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455977 - setroubleshoot should be able to handle a large number of events more gracefully
Summary: setroubleshoot should be able to handle a large number of events more gracefully
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-19 17:15 UTC by Scott Schmit
Modified: 2010-06-28 10:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 10:41:16 UTC


Attachments (Terms of Use)

Description Scott Schmit 2008-07-19 17:15:31 UTC
Description of problem:
Yesterday I updated to the latest targeted policy, which caused the gam_server's
context to be invalidated. As a result, I got 5224 events reporting the various
denials, until I rebooted my computer. The browser was popping up a balloon for
each and every event, even after I had opened the browser. This doesn't seem
like it's the right strategy for handling events.

Had setrouble acted more sanely, I would have been able to diagnose what was
wrong without having to resort to rebooting the computer. My other attempt,
stopping setroubleshoot's daemon, had the effect of disconnecting the browser
and making it unable to view anything at all.

Version-Release number of selected component (if applicable):
setroubleshoot-2.0.8-2.fc9.noarch

How reproducible:
That kind of mass-denial doesn't occur often, but should be pretty easy to
induce reliably.

Steps to Reproduce:
1. Do something that will generate denials at a very high rate (this should be
easy to tune with a custom executable)
2. Watch the madness
3.
  
Actual results:
The browser has a lot of trouble keeping up, balloons are popping up repeatedly,
even after I've opened the browser, etc.

Expected results:
setroubleshoot should calmly let me know something is wrong. Perhaps it could
start with with the current behavior, but after the denial count starts to get
large (where "large" might be 10 -- we're talking balloon popups here, after
all) it switches to "something appears to be very wrong here"-like behavior (a
single popup in red saying something to that effect, for example).

Also, if I have the browser open, that is giving me feedback that the counts are
increasing, so I don't really need the balloons anymore. The repeating balloons
are annoying even for a low number of denials.

Furthermore, I should still be able to look at the denials that have been
processed already. After a while, the GUI stopped updating, and I couldn't tell
what was wrong.

Beyond that, I have no specific suggestions. High denial counts shouldn't
happen, but when they do, it's important that the user can get to the bottom of
what's wrong quickly.

Additional info:
Here's a summary of /var/log/messages:
Jul 18 20:27:48 elminster yum: Updated: selinux-policy-3.3.1-78.fc9.noarch
Jul 18 20:28:23 elminster kernel: security:  invalidating context
system_u:system_r:gamin_t:s0-s0:c0.c1023
Jul 18 20:28:23 elminster kernel: security:  invalidating context
unconfined_u:system_r:gamin_t:s0-s0:c0.c1023
Jul 18 20:28:23 elminster kernel: security:  invalidating context
system_u:system_r:gamin_t:s0
Jul 18 20:28:23 elminster kernel: SELinux: policy loaded with handle_unknown=allow
Jul 18 20:28:23 elminster dbus: avc:  received policyload notice (seqno=2)
Jul 18 20:28:28 elminster yum: Updated: selinux-policy-targeted-3.3.1-78.fc9.noarch
Jul 18 20:28:30 elminster audispd: queue is full - dropping event
[repeat 192 times]
Jul 18 20:28:31[-37] elminster setroubleshoot: SELinux is preventing gam_server
(unlabeled_t) "getattr" to inotify (inotifyfs_t). For complete SELinux messages.
run sealert -l ccad94d1-5cdb-4661-8c07-fe81274e71c1
Jul 18 20:28:31[-37] elminster setroubleshoot: SELinux is preventing gam_server
(unlabeled_t) "read" to inotify (inotifyfs_t). For complete SELinux messages.
run sealert -l cad8f871-05ce-42c9-b43f-5cf356f7ce68
[repeat 47 times]
[repeat audispd/setroubleshoot messages 7330 times through 20:33:17]
<shutdown/reboot>

Comment 1 Bug Zapper 2009-06-10 02:08:21 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Daniel Walsh 2009-06-10 10:44:25 UTC
So this begs the question of whether or not the target name should be in the signature key,  Now that we are moving to have autoreporting, I believe we should have this fixed,  Remove the file from the key so we will see these as all the same AVC.

Comment 4 Daniel Walsh 2010-01-19 20:42:26 UTC
I have removed the targetname from the alert message for reporting to bugzilla.

Comment 5 Daniel Walsh 2010-01-21 21:35:53 UTC
Fixed in setroubleshoot-2.2.58-1.fc12       
yum update setroubleshoot\* --enablerepo=updates-testing

Comment 6 Bug Zapper 2010-04-27 12:09:03 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-06-28 10:41:16 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.